﻿@model dynamic
@{
    ViewBag.Title = "CircFlow";
    Layout = "_Layout";
}

<h2 hidden>Flow (ID: <span id="subthemeId">@Model.Id</span>)</h2>

<div class="container">
    <div class="row" id="head">
        <div class="col-md">
            <img src="~/img/logo.PNG" alt="Logo" id="logo"/>
        </div>
    </div>

    <div class="row" id="middle">
        <div id="question" class="col">

        </div>
    </div>

    <div class="row" id="foot">
        <div class="col twobuttons">
            <a asp-controller="CircFlow" asp-action="MoreInformation" class="imagelink">
                <img src="~/img/vraagicon.jpg" class="image">
            </a>
            <a asp-controller="CircFlow" asp-action="Contact" class="imagelink">
                <img src="~/img/stopicon.jpg" class="image">
            </a>
        </div>

        <div class="col">
            <div id="buttonprevnext">
                <button onclick="previousQuestion()" class="previous" id="previous">&#8249;</button>
                <button onclick="nextQuestion()" class="next" id="next">&#8250;</button>
            </div>
        </div>
    </div>
</div>
<div class="container">
    <div class="row" id="middle">
        <div id="questionLin" class="col">
        </div>
        <div class="section">
            <div id="my-qr-reader"></div>
        </div>
    </div>
</div>


<video hidden="hidden"></video>

@section Scripts
{
    @if (Model.ModeString == "phygital")
    {
        <script src="@Url.Content("~/js/circflowPhygital.js")" defer></script>
        <script src="@Url.Content("~/js/camera.js")" defer></script>
        <script src="https://unpkg.com/html5-qrcode"></script>
        <script src="@Url.Content("~/js/qrScanner.js")" defer></script>
        <script src="@Url.Content("~/js/timer.js")" defer></script>
    }
    else
    {
        <script src="@Url.Content("~/js/circflow.js")" defer></script>
    }
}